#2628 closed enhancement (wontfix)

Avoid home-grown condition variable implementation in the Classic Regions

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: score Version:
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

The Classic Region manager enables users to wait until memory is available to satisfy an allocation request. This is done through special purpose code that basically implements a condition variable.

Change History (5)

comment:1 Changed on Mar 7, 2016 at 7:29:10 AM by Sebastian Huber

Depends on #2629.

comment:2 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:3 Changed on May 11, 2017 at 7:42:40 AM by Sebastian Huber

Milestone: 4.12.05.0

comment:4 Changed on Aug 14, 2017 at 12:47:54 AM by Chris Johns

Milestone: 5.0Indefinite
Version: 4.10

comment:5 Changed on Nov 29, 2017 at 7:16:52 AM by Sebastian Huber

Milestone: Indefinite5.1
Resolution: wontfix
Status: newclosed

The region can be configured to let threads wait in FIFO or priority order. The self-contained condition variables do not support this. Keep this special case implementation as is.

Note: See TracTickets for help on using tickets.